
Figure - Bug #116087
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开时钟应用，进入设置页面或者时区搜索页面，进入任务管理器后点击小窗
按钮，最顶端内容和小窗顶部导航条重合
2023-02-08 16:57 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当activity设置了flags SYSTEM_UI_FLAG_LAYOUT_STABLE后,在加上在布局文件里面设置了android:fitsSystemWindows=true,会导致某些情况下在进入小窗的时候,布局位置出现问题.��ActionBar不会根据Caption的高度来计算位置,根布局的子View也不会根据ActionBar的高度来计算自己的位置,导致布局出现错乱

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开时钟应用

2、进入设置页面或者时区搜索页面

3、进入任务管理器后点击小窗按钮

【预期结果】

3、页面显示正常，内容完整分布合理

【实际结果】

3、最顶端内容和小窗顶部导航条重合

【复现率】

3/3

History

#1 - 2023-02-13 14:33 - CD FW-鲁凯峰

- Root cause set to 当activity设置了flags SYSTEM_UI_FLAG_LAYOUT_STABLE后,在加上在布局文件里面设置了android:fitsSystemWindows=true,会导致某些情

况下在进入小窗的时候,布局位置出现问题.

ActionBar不会根据Caption的高度来计算位置,根布局的子View也不会根据ActionBar的高度来计算自己的位置,导致布局出现错乱

■ Current conclusion

问题已经解决

■ My analysis

当activity设置了flags SYSTEM_UI_FLAG_LAYOUT_STABLE后,在加上在布局文件里面设置了android:fitsSystemWindows=true,会导致某些情况下在进入小窗

的时候,布局位置出现问题.

ActionBar不会根据Caption的高度来计算位置,根布局的子View也不会根据ActionBar的高度来计算自己的位置,导致布局出现错乱

■ Submit URL
http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DeskClock/+/181235

#2 - 2023-02-13 17:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181235 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF: DeskClock: Clear systemui flagsdon't set SYSTEM_UI_FLAG_LAYOUT_STABLE to affect layoutTC-RID: 1201-0300901IssueID:

TS-R-BUG-116087Change-Id: I5ac14310a0610987ff75f9dd1698a85a1b7596b3

#3 - 2023-02-13 17:47 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#4 - 2023-02-14 18:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

2.14

验证通过

#5 - 2023-02-14 18:41 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-08 16-56-48.mp4 25.1 MB 2023-02-08 CD TEST-方永红
